<?php

######################################################################
# Fanzinweb 1.0 : Un pequeño sistema de publicación de artículos
# ==============================================================
#
# Copyright (c) 2001 - Manuel J. Román Estrade (manje@tpn3.com)
#
# Este programa es software libre. Puede redistribuirlo y/o
# modificarlo bajo los términos de la Licencia Pública General
# de GNU.
#
# Este programa se distribuye con la esperanza de que sea útil, pero
# SIN NINGUNA GARANTÍA, incluso sin la garantía MERCANTIL implícita
# o sin garantizar la CONVENIENCIA PARA UN PROPÓSITO PARTICULAR. Véase
# la Licencia Pública General de GNU para más detalles.
# 
# Debería haber recibido una copia de la Licencia Pública General junto
# con este programa.
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License.
######################################################################



  require("config.php");

  if (($admin_user == $id ) && ($admin_pwd == $pwd)) {
    inicio();
    conectar();
    if ($boton == "anadir") {
      $con = "INSERT INTO temas VALUES " .
             " ( \"$id_t\" , \"$no_t\" )   ";
      echo $con;
      $tmp=mysql_query($con);
    }
    if ($boton == "borrar") {
      $con = "DELETE FROM temas WHERE " .
             "  id = \"$id_tb\"    ";
      $tmp=mysql_query($con);
    }
    $con="SELECT id,nombre FROM temas ";
    $tmp=mysql_query($con);
    echo $con;
    echo "<table border=1>";
    echo "<tr><td>Identificador</td><td>Nombre</td></tr>";
    while ($row = mysql_fetch_array($tmp)) {
      echo "<tr><td><b>" . $row["id"] . "</b></td><td>" . $row["nombre"] . "</td></tr>";
    }
    echo "</table>";
    echo "<form action=\"admintemas.php\" method=post>";
    idpwd();
    echo "<br>Identificador:<input type=text name=id_t>";
    echo "<br>Nombre:<input type=text name=no_t>";
    echo "<br><input type=submit name=boton value=anadir>";
    echo "<p>Identificador:<input type=text name=id_tb>";
    echo "<br><input type=submit name=boton value=borrar>";
    echo "</form>";
    echo "<hr><form action=\"admin.php\" method=post>";
    idpwd();
    echo "<input type=submit value=\"Administracion\" name=opcion>";
    echo "</form>";
    final();
  } else {
    login_admin();
  }


?>